## org.pentaho.reporting.libraries.repository
Class ContentIOException

    java.lang.Object
      StackableException
          org.pentaho.reporting.libraries.repository.ContentIOException

Direct Known Subclasses:
  ContentCreationException

    public class ContentIOException

extends StackableException

A Exception that indicates repository related errors.

Author:
  Thomas Morgner

Constructor Summary
`ContentIOException()` Creates a ContentIOException with no message and no parent.
`ContentIOException(java.lang.String message)` Creates an ContentIOException.
`ContentIOException(java.lang.String message, java.lang.Exception ex)` Creates an ContentIOException.

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentIOException

    public ContentIOException()

  Creates a ContentIOException with no message and no parent.

### ContentIOException

    public ContentIOException(java.lang.String message,
                              java.lang.Exception ex)

  Creates an ContentIOException.

  Parameters:
    `message` - the exception message.
    `ex` - the parent exception.

### ContentIOException

    public ContentIOException(java.lang.String message)

  Creates an ContentIOException.

  Parameters:
    `message` - the exception message.